Bug 1125337 - Package candlepin-selinux is installed but not effective
Summary: Package candlepin-selinux is installed but not effective
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.9
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: candlepin-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1101280
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 15:16 UTC by Lukas Zapletal
Modified: 2017-08-01 19:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1101280
Environment:
Last Closed: 2017-08-01 19:11:00 UTC


Attachments (Terms of Use)

Comment 1 William Poteat 2014-08-07 14:33:30 UTC
These are the current contexts for 7.0 and 6.6. It appears to have been remedied since the intial reporting [BZ 1101280 2014-05-26]

7.0

[root@dhcp137-202 ~]# curl -k -u admin:admin https://localhost:8443/candlepin/status
{"result":true,"version":"0.9.19","rulesVersion":"5.9","release":"1","standalone":true,"timeUTC":"2014-08-07T13:36:17.284+0000","managerCapabilities":["cores","ram","instance_multiplier","derived_product","cert_v3","guest_limit","vcpu"],"rulesSource":"DEFAULT"}[root@dhcp137-202 ~]# 

[root@dhcp137-202 ~]# ps auxZ | grep candlepin
system_u:system_r:postgresql_t:s0 postgres 32582 0.0  0.3 225988 7400 ?        Ss   09:25   0:00 postgres: candlepin candlepin 127.0.0.1(45673) idle
system_u:system_r:postgresql_t:s0 postgres 32635 0.0  0.3 225956 7124 ?        Ss   09:25   0:00 postgres: candlepin candlepin 127.0.0.1(45675) idle
system_u:system_r:postgresql_t:s0 postgres 32637 0.0  0.3 225892 6876 ?        Ss   09:25   0:00 postgres: candlepin candlepin 127.0.0.1(45676) idle
system_u:system_r:postgresql_t:s0 postgres 32711 0.0  0.3 225396 6136 ?        Ss   09:29   0:00 postgres: candlepin candlepin 127.0.0.1(45679) idle

[root@dhcp137-202 ~]# ps auxZ | grep tomcat
system_u:system_r:tomcat_t:s0   tomcat   32566  6.3 23.3 2211808 448600 ?      Sl   09:25   0:36 java -classpath /usr/share/tomcat/bin/bootstrap.jar:/usr/share/tomcat/bin/tomcat-juli.jar:/usr/share/java/commons-daemon.jar -Dcatalina.base=/usr/share/tomcat -Dcatalina.home=/usr/share/tomcat -Djava.endorsed.dirs= -Djava.io.tmpdir=/var/cache/tomcat/temp -Djava.util.logging.config.file=/usr/share/tomcat/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager org.apache.catalina.startup.Bootstrap start

6.6

[wpoteat@rhel-66-wottop Desktop]$ curl -k -u admin:admin https://localhost:8443/candlepin/status
{"result":true,"version":"0.9.20","rulesVersion":"5.9","release":"1","standalone":true,"timeUTC":"2014-08-07T14:24:50.852+0000","managerCapabilities":["cores","ram","instance_multiplier","derived_product","cert_v3","guest_limit","vcpu"],"rulesSource":"DEFAULT"}

[wpoteat@rhel-66-wottop Desktop]$ ps auxZ | grep candlepin
unconfined_u:system_r:postgresql_t:s0 postgres 3486 0.0  0.6 218336 6880 ?     Ss   10:19   0:00 postgres: candlepin candlepin 127.0.0.1(51127) idle
unconfined_u:system_r:postgresql_t:s0 postgres 3533 0.0  0.5 217724 5884 ?     Ss   10:19   0:00 postgres: candlepin candlepin 127.0.0.1(51128) idle
unconfined_u:system_r:postgresql_t:s0 postgres 3548 0.0  0.5 217720 5832 ?     Ss   10:19   0:00 postgres: candlepin candlepin 127.0.0.1(51130) idle
unconfined_u:system_r:postgresql_t:s0 postgres 3555 0.0  0.5 217864 6060 ?     Ss   10:19   0:00 postgres: candlepin candlepin 127.0.0.1(51131) idle

[wpoteat@rhel-66-wottop Desktop]$ ps auxZ | grep tomcat
unconfined_u:system_r:tomcat_t:s0 tomcat  3469  7.0 18.0 1563720 184332 ?      Sl   10:18   0:27 /usr/lib/jvm/java/bin/java -Djavax.sql.DataSource.Factory=org.apache.commons.dbcp.BasicDataSourceFactory -classpath :/usr/share/tomcat6/bin/bootstrap.jar:/usr/share/tomcat6/bin/tomcat-juli.jar:/usr/share/java/commons-daemon.jar -Dcatalina.base=/usr/share/tomcat6 -Dcatalina.home=/usr/share/tomcat6 -Djava.endorsed.dirs= -Djava.io.tmpdir=/var/cache/tomcat6/temp -Djava.util.logging.config.file=/usr/share/tomcat6/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager org.apache.catalina.startup.Bootstrap start


Note You need to log in before you can comment on or make changes to this bug.